Subject: [TR] TR3 choke

From: George Richardson <[email-masked]>
Date: Mon, 26 Sep 2016 11:28:10 -0400

Just looking at my choke mechanism. I always thought that the arms that 
withdraw the jet assembly on my car were worn, as the holes that they 
pivot on are way oversize. Buy I just looked at another assembly I had 
lying around and that one also has oversize holes.

Are they supposed to be like that? It doesn't seem like the choke works 
very well.

-- 
George Richardson
Key Men - Keys for Classics
www.key-men.com

1957 Triumph TR3
1961 Jaguar Mark 2
1975 Triumph TR6
1997 Land Rover Discovery

** [email-masked] **

Archive: http://www.team.net/archive